%define pixmapdir %{_datadir}/pixmaps
%define appentdir %{_datadir}/applications

Summary:	Multi Lingual TERMinal emulator for X
Summary(ja):	多言語対応 X ターミナルエミュレータ
Name:		mlterm
Version:	3.3.0
Release:	2%{?_dist_release}
Source0:	http://sourceforge.net/projects/mlterm/files/01release/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	mlterm-vine-128x128.svg
#Patch0:		mlterm-3.2.0-fixes.patch
Patch1:		mlt-etc-vine.patch
License:	Modified BSD-style license
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gtk2 freetype2
Requires:	fribidi libXft
Requires:	vte libX11
###Requires:	gdk-pixbuf2
BuildRequires:	gtk2-devel freetype2-devel
BuildRequires:	fribidi-devel libXft-devel
BuildRequires:	vte-devel libX11-devel
###BuildRequires:	gdk-pixbuf2-devel
Distribution:	Vine Linux
Vendor:		Project Vine
URL:		http://mlterm.sourceforge.net/

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported. 
You can dynamically change various xims.

%description -l ja
mlterm は世界中の様々なキャラクタコードとエンコーディングをサポートする
多言語対応の、スクラッチから書かれたターミナルエミュレータです。
又 mlterm は FreeTypeフォント使用によるアンチエリアス、多重ウィンドウ、
スクロールバーAPI、マウスホイールによるスクロール、エンコーディングの自
動選択等の様々なユニークな特徴を持っています。多種の xim もサポートし、
動的に xim を変更することも可能です。

%prep
rm -rf %{buildroot}

%setup -q
#%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure \
    --libexecdir=%{_libexecdir}/%{name} \
    --enable-fribidi \
    --with-type-engines=xcore,xft \
    --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
    --enable-anti-alias \
    --with-scrollbars=sample,extra,pixmap_engine \
    --enable-ind \
    --enable-ibus \
    --enable-ssh2

%__make

%install
rm -rf %{buildroot}

%make_install

# icons
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__cp -a %{_sourcedir}/mlterm-vine-128x128.svg %{buildroot}%{_datadir}/pixmaps


# desktop menu entry
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=mlterm
Name[ja]=mlterm
Comment=Multi Lingual TERMinal emulator for X
Comment[ja]=多言語対応 X ターミナルエミュレータ
Exec=mlterm
Icon=/usr/share/pixmaps/mlterm-vine-128x128.svg
Type=Application
Categories=Application;Utility;TerminalEmulator;
EOF

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/mkf/*.la

cat << EOF

mlterm の設定変更は、起動した mlterm 上で'Control+右クリック'して、
設定ダイアログを開いて行なってください。
設定ダイアログがサポートしないフォント、ショートカットキー、
IM 等の設定は、/etc/mlterm/ に有る該当設定ファイルを
\$HOME/.mlterm/ 以下にコピーし、編集してください。

mlterm の日本語情報は
    /usr/share/doc/mlterm-%{version}/ja/
に有ります。

EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja}
%{_bindir}/*
%{_libdir}/*
%{_libexecdir}/*
%{_sysconfdir}/*
%{_datadir}/*

%changelog
* Fri Dec 27 2013 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 3.3.0-2
- rebuild with gcc-4.8

* Mon Nov  4 2013 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 3.3.0-1
- upstream source update
- enable Alt key as Meta key = Esc default by /etc/mlterm/main

* Mon Jun 17 2013 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 3.2.0-1
- upstream source update
- drop patch 20, 21 about utmp
- fuse patch 0 and 10 as New patch 1
- drop configure option --enable utmp
- obsolete MLterm_EUC-JP.desktop, MLterm_UTF-8.desktop
- new icon svg

* Mon Aug 20 2012 KATO Masashi <mkato@par.odn.ne.jp> 3.1.3-1
- upstream source update

* Thu Jun  7 2012 KATO Masashi <mkato@par.odn.ne.jp> 3.1.2-1
- upstream source update

* Fri May  4 2012 KATO Masashi <mkato@par.odn.ne.jp> 3.1.1-1
- upstream source update

* Wed Jan 25 2012 KATO Masashi <mkato@par.odn.ne.jp> 3.0.11-1
- upstream source update

* Thu Nov 24 2011 KATO Masashi <mkato@par.odn.ne.jp> 3.0.9-1
- upstream source update
- rewrited desktop entry files

* Sun Sep 25 2011 KATO Masashi <mkato@par.odn.ne.jp> 3.0.8-1
- upstream source update

* Thu Sep 22 2011 KATO Masashi <mkato@par.odn.ne.jp> 3.0.7-1
- upstream source update
- changed default xim (scim -> xim-ibus)
- dropped pixmap support

* Wed Jun  8 2011 KATO Masashi <mkato@par.odn.ne.jp> 3.0.5-1
- upstream source update

* Sat Mar 26 2011 KATO Masashi <mkato@par.odn.ne.jp> 3.0.3-1
- upstream source update
- added ibus suport

* Wed Jan 19 2011 KATO Masashi <mkato@par.odn.ne.jp> 3.0.2-1
- upstream source update
- dropped patch1

* Sun Jul 18 2010 KATO Masashi <mkato@par.odn.ne.jp> 3.0.1-1
- upstream source update

* Sun Apr 11 2010 KATO Masashi <mkato@par.odn.ne.jp> 3.0.0-1
- upstream source update
- updated mlterm-vine.patch

* Thu Sep 24 2009 KATO Masashi <mkato@par.odn.ne.jp> 2.9.4-5
- changed image library (imlib -> gdk-pixbuf)
- updated mlterm-vine.patch

* Sun Sep 28 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.9.4-4
- add Patch1 to build against glibc-2.8

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 2.9.4-3
- removed *.la
- spec in utf-8

* Fri Jun 27 2008 KATO Masashi <mkato@par.odn.ne.jp> 2.9.4-2
- added desktop entries & icons (Standerd, UTF-8 and EUC-JP mode)

* Sun Jun 15 2008 Satoshi MACHINO <machino@vinelinux.org> 2.9.4-1vl5
- applied new versioning policy
- changed requires (xorg >= 7.3)

* Wed Dec 19 2007 KATO Masashi <mkato@par.odn.ne.jp> 2.9.4-0vl1, 2
- upstream source update

* Tue Dec 26 2006 KATO Masashi <mkato@par.odn.ne.jp> 2.9.3-0vl4, 5
- remove '--enable-uim' option

* Sun Dec 24 2006 KATO Masashi <mkato@par.odn.ne.jp> 2.9.3-0vl2, 3
- rebuild at Vine 4.0, Seed
- change Group ('User Interface/X' to 'User Interface/Desktops')
- change bindir ('%{_prefix}/X11R6/bin' to '%{_exec_prefix}/bin')
- change require ( 'gtk+' to 'gtk2' )
- support scim (default input_method = scim)
- specified "vl gothic" to default font
- enable mlterm-zoom (control+button2)

* Fri Nov 03 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.9.3-0vl1
- Source version 2.9.3

* Thu May 05 2005 Satoshi MACHINO <machino@vinelinux.org> 2.9.2-0vl1
- new upstream release
- dropped patch0

* Wed Jun 16 2004 KATO Masashi <mkato@par.odn.ne.jp> 2.8.0-0vl3
- using rpm macros

* Wed Jun 16 2004 KATO Masashi <mkato@par.odn.ne.jp> 2.8.0-0vl2
- build for VineSeed

* Mon Jun 14 2004 KATO Masashi <mkato@par.odn.ne.jp> 2.8.0-0vl1
- packaging for VineLinux

* Sun Oct 05 2003 Araki Ken <arakiken@users.sf.net>
- Source version 2.8.0

* Sat Jun 14 2003 Araki Ken <arakiken@users.sf.net>
- Source version 2.7.0

* Sun Jan 12 2003 Araki Ken <arakiken@users.sf.net>
- Source version 2.6.3

* Thu Oct 1 2002 Araki Ken <arakiken@users.sf.net>
- Source version 2.6.2

* Thu Sep 12 2002 Araki Ken <arakiken@users.sf.net>
- Source version 2.6.1

* Sat Sep 7 2002 Araki Ken <arakiken@users.sf.net>
- Source version 2.6.0

* Sun Jun 16 2002 Araki Ken <arakiken@users.sourceforge.net>
- Source version 2.5.0

* Sun Apr 14 2002 Araki Ken <arakiken@users.sourceforge.net>
- Source version 2.4.0

* Mon Feb 25 2002 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.3.1

* Sat Feb 23 2002 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.3.0

* Tue Jan 29 2002 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.2.0

* Wed Jan 2 2002 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.1.2

* Sun Dec 30 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.1.1

* Sat Dec 29 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.1.0

* Thu Nov 29 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 2.0.0

* Mon Nov 26 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.47

* Sat Nov 24 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.46

* Fri Nov 23 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.45

* Sat Nov 17 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.44

* Wed Nov 14 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.43

* Tue Nov 13 2001 Araki Ken <j00v0113@ip.media.kyoto-u.ac.jp>
- Source version 1.9.42pl6

